summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--po/de.po5
-rw-r--r--po/fr.po4
-rw-r--r--po/ja.po5
-rw-r--r--po/quilt.pot4
-rw-r--r--quilt.changes5
-rw-r--r--quilt/delete.in6
6 files changed, 27 insertions, 2 deletions
diff --git a/po/de.po b/po/de.po
index f873697..dd2b3b4 100644
--- a/po/de.po
+++ b/po/de.po
@@ -159,6 +159,11 @@ msgid "Patch %s is currently applied\\n"
msgstr "Patch %s ist momentan angewandt\\n"
#: ../quilt/delete.in:92
+#, fuzzy
+msgid "Removed patch %s\\n"
+msgstr "Entferne patch %s\\n"
+
+#: ../quilt/delete.in:94
msgid "Failed to remove patch %s\\n"
msgstr "Konnte Patch %s nicht entfernen\\n"
diff --git a/po/fr.po b/po/fr.po
index d64f7fa..30d3ba9 100644
--- a/po/fr.po
+++ b/po/fr.po
@@ -164,6 +164,10 @@ msgid "Patch %s is currently applied\\n"
msgstr "Le patch %s est actuellement appliquι\\n"
#: ../quilt/delete.in:92
+msgid "Removed patch %s\\n"
+msgstr "Patch %s retirι\\n"
+
+#: ../quilt/delete.in:94
msgid "Failed to remove patch %s\\n"
msgstr "Impossible de retirer le patch %s\\n"
diff --git a/po/ja.po b/po/ja.po
index 46427ca..709e8f7 100644
--- a/po/ja.po
+++ b/po/ja.po
@@ -159,6 +159,11 @@ msgid "Patch %s is currently applied\\n"
msgstr "パッチ %s γ―ηΎεœ¨ι©η”¨γ•γ‚Œγ¦γ„γΎγ™γ€‚\\n"
#: ../quilt/delete.in:92
+#, fuzzy
+msgid "Removed patch %s\\n"
+msgstr "パッチ %s γ‚’ε‰Šι™€γ—γΎγ™\\n"
+
+#: ../quilt/delete.in:94
msgid "Failed to remove patch %s\\n"
msgstr "パッチ %sγ‚’ε‰Šι™€γ™γ‚‹γ“γ¨γ«ε€±ζ•—γ—γΎγ—γŸγ€‚\\n"
diff --git a/po/quilt.pot b/po/quilt.pot
index 829e95a..b25b180 100644
--- a/po/quilt.pot
+++ b/po/quilt.pot
@@ -120,6 +120,10 @@ msgid "Patch %s is currently applied\\n"
msgstr ""
#: ../quilt/delete.in:92
+msgid "Removed patch %s\\n"
+msgstr ""
+
+#: ../quilt/delete.in:94
msgid "Failed to remove patch %s\\n"
msgstr ""
diff --git a/quilt.changes b/quilt.changes
index dc4219c..c19fa4b 100644
--- a/quilt.changes
+++ b/quilt.changes
@@ -1,4 +1,9 @@
-------------------------------------------------------------------
+Tue Jul 5 12:19:40 CEST 2005 - khali@linux-fr.org
+
+- quilt delete: Display the name of the deleted patch on success.
+
+-------------------------------------------------------------------
Sat Jul 2 13:51:50 CEST 2005 - agruen@suse.de
- Remove outdated BUGS file and references.
diff --git a/quilt/delete.in b/quilt/delete.in
index d807d39..c8151f8 100644
--- a/quilt/delete.in
+++ b/quilt/delete.in
@@ -87,9 +87,11 @@ then
exit 1
fi
fi
-if ! remove_from_series $patch
+if remove_from_series "$patch"
then
- printf $"Failed to remove patch %s\n" "$patch" >&2
+ printf $"Removed patch %s\n" "$(print_patch "$patch")"
+else
+ printf $"Failed to remove patch %s\n" "$(print_patch "$patch")" >&2
fi
### Local Variables:
### mode: shell-script